﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GroupCaptionDemo
{
    public class StudentInfo : INotifyPropertyChanged
	{
		public StudentInfo ()
		{
		}

		#region private variables

		private int mark1;
		private string studentName;
		private int makr2;

		#endregion

		#region Public Properties

        public int Mark1
        {
            get { return mark1; }
            set
            {
                this.mark1 = value;
                RaisePropertyChanged("Mark1");
            }
        }

		public string StudentName
        {
			get { return studentName; }
			set { 
				this.studentName = value;
				RaisePropertyChanged ("StudentName");
			}
		}

		public int Mark2
        {
			get { return makr2; }
			set {
				this.makr2 = value;
				RaisePropertyChanged ("Mark2");
			}
		}

		#endregion

		#region INotifyPropertyChanged implementation

		public event PropertyChangedEventHandler PropertyChanged;

		private void RaisePropertyChanged (String Name)
		{
			if (PropertyChanged != null)
				this.PropertyChanged (this, new PropertyChangedEventArgs (Name));
		}

		#endregion
	}
}
